# udm_dns_record – Manage dns entries on a univention corporate server

- Synopsis
- Requirements
- Parameters
- Examples
- Status

## Synopsis

- This module allows to manage dns records on a univention corporate server (UCS). It uses the python API of the UCS to create a new object or edit it.

## Requirements

The below requirements are needed on the host that executes this module.

- Python >= 2.6
- Univention

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
data - | Default: [] | Additional data for this record, e.g. ['a': '192.0.2.1']. Required if `state=present`.
name - / required |  | Name of the record, this is also the DNS record. E.g. www for www.example.com.

state
-

Choices:
- present ←
- absent

Whether the dns record is present or not.

type
- / required

Choices:
- host_record
- alias
- ptr_record
- srv_record
- txt_record

Define the record type. `host_record` is a A or AAAA record, `alias` is a CNAME, `ptr_record` is a PTR record, `srv_record` is a SRV record and `txt_record` is a TXT record.

zone - / required |  | Corresponding DNS zone for this record, e.g. example.com.

## Examples

    # Create a DNS record on a UCS
    - udm_dns_record:
        name: www
        zone: example.com
        type: host_record
        data:
          - a: 192.0.2.1

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Tobias Rüetschi (@keachi)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.